
From: Andrew Morton <akpm@osdl.org>

{standard input}: Assembler messages:
{standard input}:3617: Error: suffix or operands invalid for `mov'

Cc: Alexander Nyberg <alexn@dsv.su.se>
Cc: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~page-owner-tracking-leak-detector-fix mm/page_alloc.c
--- 25/mm/page_alloc.c~page-owner-tracking-leak-detector-fix	Mon Sep 12 15:36:10 2005
+++ 25-akpm/mm/page_alloc.c	Mon Sep 12 15:36:10 2005
@@ -848,7 +848,7 @@ static inline void set_page_owner(struct
 			unsigned int order, unsigned int gfp_mask)
 {
 	unsigned long address, bp;
-#ifdef X86_64
+#ifdef CONFIG_X86_64
 	asm ("movq %%rbp, %0" : "=r" (bp) : );
 #else
 	asm ("movl %%ebp, %0" : "=r" (bp) : );
_
